[packages/openssl102: 316/432] - hardcode openssl path (make which dependency optional)

adwol adwol at pld-linux.org
Sat Sep 29 01:28:07 CEST 2018


commit c4bb71d16b5f6a44dd3663985a64ae9dd9de4480
Author: Elan Ruusamäe <glen at pld-linux.org>
Date:   Thu Jul 8 14:06:42 2010 +0000

    - hardcode openssl path (make which dependency optional)
    
    Changed files:
        openssl-c_rehash.sh -> 1.7

 openssl-c_rehash.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
---
diff --git a/openssl-c_rehash.sh b/openssl-c_rehash.sh
index 90da18f..75a7749 100644
--- a/openssl-c_rehash.sh
+++ b/openssl-c_rehash.sh
@@ -165,9 +165,9 @@ hash_dir()
 # choose the name of an ssl application
 if [ -n "${OPENSSL}" ]
 then
-    SSL_CMD=${OPENSSL}
+    SSL_CMD=$(which ${OPENSSL} 2>/dev/null)
 else
-    SSL_CMD=openssl
+    SSL_CMD=/usr/bin/openssl
     OPENSSL=${SSL_CMD}
     export OPENSSL
 fi
@@ -177,7 +177,7 @@ PATH=${PATH}:${DIR}/bin
 export PATH
 
 # confirm existance/executability of ssl command
-if ! [ -x $( which ${SSL_CMD} ) ]
+if ! [ -x ${SSL_CMD} ]
 then
     echo "${0}: rehashing skipped ('openssl' program not available)" >&2
     exit 0
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/openssl102.git/commitdiff/9fc1b1b87b259e8a327c99835865e91a391efc9e



More information about the pld-cvs-commit mailing list